/* Reset & commons */
@font-face {
	font-family: 'Futura';
	src: url('fonts/Futura-Book.woff2') format('woff2');
	font-weight: 200;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Futura';
	src: url('fonts/Futura-Medium.woff2') format('woff2');
	font-weight: 400;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Futura';
	src: url('fonts/Futura-Heavy.woff2') format('woff2');
	font-weight: 700;
	font-style: normal;
	font-display: swap;
}

:root {
	--main-color:		#212121;
	--company-color:	#FF0000;
	--light-color:		#999999;
	--shadow:			0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
	--shadow-over:		0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}

* {
	box-sizing: border-box;
}

html {
	height: 100%;
	font-size: 62.5%;
}

body {
	font-family: 'Futura', Arial, sans-serif;
	font-size: 1.6rem;
	line-height: 1.5;
	font-weight: 400;
	margin: 0;
	color: var(--main-color);
	height: 100%;
	overflow-x: hidden;
	overflow-y: scroll;
	
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	
	-webkit-user-select: none;
	user-select: none;
}

body.menu-open {
	overflow: hidden;
}

h1, h2, h3, h4, h5, h6 {
	margin: 0 0 16px;
}

a {
	text-decoration: none;
	color: var(--main-color);
}

a:hover, a:active, a:focus, a:visited {
	color: var(--main-color);
	text-decoration: none;
}

ul {
	margin: 0;
	padding: 0;
}

ul li {
	list-style-type: none;
}

section {
	margin-bottom: 40px;
}

.container {
	position: relative;
	width: auto;
	max-width: 1280px;
	padding-right: 48px;
	padding-left: 48px;
	margin-right: auto;
	margin-left: auto;
}

.chinese {
	font-family: Arial, "Microsoft YaHei New", "Microsoft Yahei", "微软雅黑", SimSun, "宋体", STXihei, "华文细黑", sans-serif;
	letter-spacing: 1px;
}

hgroup {
	margin-bottom: 24px;
}

hgroup h2 {
	font-size: 3rem;
	line-height: 35px;
	font-weight: 500;
}

hgroup h2.chinese {
	margin-bottom: 4px;
}

.link {
	display: inline-block;
	position: relative;
	text-align: center;
}

.link:after {
	position: absolute;
	top: calc(50% - 15px);
	right: 0;
	font-size: 2.5rem;
	line-height: 30px;
	z-index: -1;
	font-family: 'Material Icons';
	content: '\e315';
}

.link a {
	display: block;
	padding-right: 40px;
	color: #333333;
}
/* Reset & commons (end) */

/* Header */
header {
	height: 60px;
}

header .header-wrapper {
	position: relative;
}

header .logo a {
	display: inline-block;
}

header .logo img {
	display: block;
	height: 60px;
}

header nav {
	position: absolute;
	top: 0;
	right: 0;
	display: flex;
	align-items: center;
	height: 60px;
}

header nav a {
	padding: 4px 16px;
	text-align: center;
	border-bottom: 2px solid transparent;
	transition: border-bottom-color 0.3s ease;
}

header nav a:hover {
	border-bottom-color: var(--main-color);
}

header nav a.active {
	border-bottom-color: var(--company-color);
}

header nav a span {
	display: block;
}

header nav.mobile {
	display: none;
	padding: 16px;
	right: -16px;
	cursor: pointer;
}
/* Header (end) */

/* Aside */
aside {
	display: none;
	position: fixed;
	background: white;
	top: 0;
	right: -100%;
	z-index: 10;
	width: 100%;
	height: 100%;
	max-width: 250px;
	box-shadow: var(--shadow-over);
	transition: right 0.3s ease;
}

aside.menu-open {
	right: 0;
}

aside .close-menu {
	position: absolute;
	top: 0;
	right: 0;
	padding: 16px;
	cursor: pointer;
}

aside nav {
	display: table;
	margin: 60px auto 0;
}

aside nav a {
	display: block;
	margin-bottom: 24px;
}

aside nav a.active {
	color: var(--company-color);
}

aside nav a span {
	display: block;
}

.menu-overlay {
	display: none;
	position: fixed;
	top: 0;
	left: -100%;
	background-color: #000000;
	width: 100%;
	height: 100%;
	z-index: 1;
	opacity: 0;
	transition: left 0s linear 0.3s, opacity 0.3s ease;
}

.menu-overlay.menu-open {
	left: 0;
	opacity: 0.85;
	transition: opacity 0.3s ease;
}
/* Aside (end) */

/* Banner */
.banner img {
	width: 100%;
	height: 400px;
	object-fit: cover;
}
/* Banner (end) */

/* Card */
.card {
	position: relative;
	padding-bottom: 52px;
	border-radius: 4px;
	background-color: #FFFFFF;
	box-shadow: var(--shadow);
	transition: box-shadow 0.3s ease;
	cursor: pointer;
}

.card:hover {
	box-shadow: var(--shadow-over);
}

.card a {
	width: 100%;
}

.card .card-image {
	height: 150px;
	overflow: hidden;
}

.card .card-image img {
	display: block;
	width: 100%;
	height: 150px;
	object-fit: cover;
	border-radius: 4px 4px 0 0;
}

.card .card-body {
	padding: 12px 16px;
}

.card .card-body h3 {
	font-size: 1.8rem;
	line-height: 25px;
	font-weight: 500;
	min-height: 50px;
}

.card .card-body h3:last-child {
	margin-bottom: 0;
}

.card .card-footer {
	position: absolute;
	bottom: 0;
	width: 100%;
	overflow: hidden;
	padding: 12px 16px;
}

.card .card-footer span {
	font-size: 1.5rem;
	font-weight: 200;
	color: var(--light-color);
}

.card .card-footer .date:first-child {
	float: left;
}

.card .card-footer .date:last-child {
	float: right;
}
/* Card (end) */

/* Card carousel */
.slick-carousel {
	width: 100%;
}

.slick-carousel .slick-list {
	overflow: visible;
	margin: 0 -16px;
}

.slick-carousel .slick-track
{
	display: flex !important;
}

.slick-carousel .slick-slide {
	margin: 0 16px;
	height: inherit !important;
}

.slick-carousel .ghost-card {
	display: none;
	padding-bottom: 0;
}

.slick-carousel .ghost-card a {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	height: 100%;
}

.slick-carousel .ghost-card .link {
	padding: 0 40px;
}

.slick-carousel .ghost-card .link:after {
	z-index: 1;
}

.carousel-footer {
	text-align: right;
	margin-top: 24px;
}

.carousel-footer a {
	text-align: right;
}
/* Card carousel (end) */

/* Contacts */
.contacts {
	text-align: center;
}

#contacts {
	height: 0;
}

.contacts .qr img {
	max-width: 200px;
}

.contacts p {
	-webkit-user-select: text;
	user-select: text;
}
/* Contacts (end) */

/* All events */
.all-events {
	margin-top: 40px;
}

.card-list {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
}

.card-list .card {
	width: calc(100% / 3 - 16px);
	margin-bottom: 24px;
}

.card-list .ghost-card {
	height: 0;
	padding: 0;
	box-shadow: none;
}
/* All events (end) */

/* About us */
.about-us hgroup {
	margin-bottom: 40px;
}

.about-us p {
	text-align: justify;
}

.about-us hr {
	border: none;
	border-bottom: 1px solid var(--main-color);
	width: 80%;
	margin: 60px auto;
}
/* About us (end) */

/* Footer */
footer {
	padding: 4px 16px;
}

footer p {
	text-align: right;
	color: var(--light-color);
	margin: 0;
}

footer .show-address {
	white-space: nowrap;
	cursor: pointer;
}

footer .address-visible {
	white-space: nowrap;
	cursor: initial;
	-webkit-user-select: text;
	user-select: text;
}
/* Footer */

@media (max-width: 1280px) {
	
}

@media (max-width: 992px) {
	html {
		font-size: 56.25%;
	}

	h1, h2, h3, h4, h5, h6 {
		margin: 0 0 8px;
	}
	
	.banner img {
		height: 300px;
	}
	
	.card .card-body h3 {
		min-height: 0;
	}
	
	.slick-carousel .ghost-card {
		display: block;
	}
	
	.carousel-footer {
		display: none;
	}
	
	.card-list .card {
		width: calc(100% / 2 - 16px);
	}
}

@media (max-width: 768px) {
	html {
		font-size: 50%;
	}
	
	.container {
		padding-left: 16px;
		padding-right: 16px;
	}
	
	.banner img {
		height: 250px;
	}
	
	
	.card-list .card {
		width: calc(100%);
	}
	
	header nav.desktop {
		display: none;
	}
	
	header nav.mobile {
		display: block;
	}
	
	aside {
		display: block;
	}
	
	.menu-overlay {
		display: block;
	}
}

@media (max-width: 480px) {
	
}